Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162220 - selinux prevents squirrelmail to access imap
Summary: selinux prevents squirrelmail to access imap
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 21:37 UTC by Florin Andrei
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-03 15:31:20 UTC


Attachments (Terms of Use)

Description Florin Andrei 2005-06-30 21:37:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
I try to login to Squirrelmail, enter username, password, click on Login, but I get this error:

Error connecting to IMAP server: localhost.
13 : Permission denied

In the logs i see this:

kernel: audit(1120167209.519:0): avc:  denied  { connect } for  pid=3646 exe=/usr/sbin/httpd scontext=user_u:system_r:httpd_t tcontext=user_u:system_r:httpd_t tclass=tcp_socket


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-3.15

How reproducible:
Always

Steps to Reproduce:
1.see above
2.
3.
  

Actual Results:  squirrelmail doesn't work

Expected Results:  duh

Additional info:

I'm using cyrus-imapd-2.2.12-1.1.fc3

Comment 1 Daniel Walsh 2005-07-03 15:31:20 UTC
Set boolean 

setsebool -P httpd_can_network_connect=1




Note You need to log in before you can comment on or make changes to this bug.